Bug 1029777 - [ALL_LANG] yum langinfo only lists langpacks for installed packages.
Summary: [ALL_LANG] yum langinfo only lists langpacks for installed packages.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: yum-langpacks
Version: 20
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Parag Nemade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-11-13 07:59 UTC by Lijun Li
Modified: 2013-11-26 04:09 UTC (History)
5 users (show)

Fixed In Version: yum-langpacks-0.4.3-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-11-26 04:09:10 UTC


Attachments (Terms of Use)

Description Lijun Li 2013-11-13 07:59:53 UTC
Description of problem:
[ALL_LANG] yum langinfo only lists langpacks for installed packages.

Version-Release number of selected component (if applicable):
yum-langpacks-0.4.2-1.fc20.noarch

How reproducible:
100%

Steps to Reproduce:
1. Install latest Fedora20 TC6 build.
2. Run yum langinfo <locale_code>/<languagename>

Actual results:
# yum langinfo ja
読み込んだプラグイン:langpacks, refresh-packagekit
Language-Id=ja
  autocorr-ja
  gimp-help-ja
  man-pages-ja
  libreoffice-langpack-ja
  kde-l10n-Japanese
yum langinfo only lists langpacks for installed packages.

Expected results:
It should list all the packages what will get installed for any languages.

Additional info:

Comment 1 Fedora Update System 2013-11-18 03:48:03 UTC
yum-langpacks-0.4.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/yum-langpacks-0.4.3-1.fc20

Comment 2 Fedora Update System 2013-11-18 20:18:30 UTC
Package yum-langpacks-0.4.3-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing yum-langpacks-0.4.3-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-21617/yum-langpacks-0.4.3-1.fc20
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2013-11-26 04:09:10 UTC
yum-langpacks-0.4.3-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.